<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

        
class transport_app extends application
{
    function __construct()
    {
        parent::__construct("transport", _($this->help_context = "&Transport"));

        $this->add_module(_("Transactions"));
                $this->add_lapp_function(0, _("Vehicle &Requests"),"transport/vehicle_requests.php?", 'SA_VEHICLE_REQUEST', MENU_TRANSACTION);        
                $this->add_lapp_function(0, _("Allocate &Vehicles"),"transport/create_vehicle_allocations.php?", 'SA_CREATE_VEHICLE_ALLOCATIONS', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("Manage Vehicle &Allocations"),"transport/vehicle_allocations.php?", 'SA_MANAGE_VEHICLE_ALLOCATIONS', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Vehicle Running Chart Entry"),"transport/vehicle_running_chart_entry.php?", 'SA_VEHICLE_RUNNING_CHART_ENTRY', MENU_TRANSACTION);

                $this->add_rapp_function(0, _("&Approve Vehicle Requests"),"transport/inquiry/approve_vehicle_requests_inquiry.php?", 'SA_VEHICLE_REQUEST_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _("&Post Vehicle Running Chart"),"transport/post_vehicle_running_chart.php?", 'SA_POST_VEHICLE_RUNNING_CHART', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Supplier Transport Invoices"),"transport/supplier_transport_invoices.php?", 'SA_SUPPLIER_TRANSPORT_INVOICES', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Approve Supplier Transport Invoices"),"transport/inquiry/approve_supplier_transport_invoices_inquiry.php", 'SA_SUPPLIER_TRANSPORT_INVOICES_INQ', MENU_TRANSACTION);
        
        
                
        $this->add_module(_("Inquiries and Reports"));
                $this->add_lapp_function(1, _("Vehicle Requests Inquiry"),"transport/inquiry/vehicle_requests_inquiry.php", 'SA_VEHICLE_REQUEST_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Vehicle Allocation Inquiry"),"transport/inquiry/vehicle_allocation_inquiry.php", 'SA_VEHICLE_ALLOCATION_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Vehicle Running Chart Inquiry"),"transport/inquiry/vehicle_running_chart_inquiry.php", 'SA_VEHICLE_RUNNING_CHART_INQ', MENU_REPORT);
                $this->add_lapp_function(1, _("Supplier Transport Invoices Inquiry"),"transport/inquiry/supplier_transport_invoices_inquiry.php", 'SA_SUPPLIER_TRANSPORT_INVOICES_INQ', MENU_REPORT);

                $this->add_rapp_function(1, _("Vehicle Expense Details Inquiry"),"transport/inquiry/vehicle_expense_details_inquiry.php", 'SA_TRANSPORT_ANALYTIC', MENU_REPORT);
		
                $this->add_rapp_function(1, "","");
		$this->add_rapp_function(1, _("Transport &Reports"),"reporting/reports_main.php?Class=".RC_TRANSPORT, 'SA_TRANSPORT_ANALYTIC', MENU_REPORT);

        $this->add_module(_("Maintenance"));

                $this->add_lapp_function(2, _('&Vehicles'),"transport/manage/vehicles.php?", 'SA_VEHICLE_ENTRY', MENU_MAINTENANCE);        
                $this->add_lapp_function(2, _("&Drivers"), "transport/manage/drivers.php?", 'SA_DRIVERS', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("&Vehicle Packages"), "transport/manage/vehicle_packages.php?", 'SA_VEHICLE_PACKAGES', MENU_MAINTENANCE);

        
		$this->add_extensions();
	}
}


?>